package com.bonus.core.merchant.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("merc_merchant")
public class MercMerchantInSystem extends Model<MercMerchantInSystem> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("商家id")
   private Long tenantId;
   @ApiModelProperty("第三方商户id")
   private String thirdMerchantId;
   @ApiModelProperty("公司名称")
   private String merchantName;
   @ApiModelProperty("食堂或餐厅名称")
   private String canteenName;
   @ApiModelProperty("联系人姓名")
   private String linkman;
   @ApiModelProperty("手机号")
   private String linkmanNumber;
   @ApiModelProperty("登录密码")
   private String password;
   @ApiModelProperty("区域省市区详细地址")
   private String address;
   @ApiModelProperty("入驻日期")
   private LocalDateTime startTime;
   @ApiModelProperty("授权用户数")
   private Integer userCount;
   @ApiModelProperty("授权截止日期")
   private LocalDateTime endTime;
   @ApiModelProperty("管理员名称")
   private String adminName;
   @ApiModelProperty("邮箱")
   private String email;
   @ApiModelProperty("微信")
   private String wechat;
   @ApiModelProperty("状态")
   private Integer status;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   private String dataset;
   @TableField("`schema`")
   private String schema;
   @ApiModelProperty("人员id限制标识，1：开启，2：关闭")
   private Integer limitFlag;
   @ApiModelProperty("展示服务器信息，1：开启，2：关闭")
   private Integer serverFlag;

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getThirdMerchantId() {
      return this.thirdMerchantId;
   }

   public String getMerchantName() {
      return this.merchantName;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getLinkman() {
      return this.linkman;
   }

   public String getLinkmanNumber() {
      return this.linkmanNumber;
   }

   public String getPassword() {
      return this.password;
   }

   public String getAddress() {
      return this.address;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public Integer getUserCount() {
      return this.userCount;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public String getAdminName() {
      return this.adminName;
   }

   public String getEmail() {
      return this.email;
   }

   public String getWechat() {
      return this.wechat;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getDataset() {
      return this.dataset;
   }

   public String getSchema() {
      return this.schema;
   }

   public Integer getLimitFlag() {
      return this.limitFlag;
   }

   public Integer getServerFlag() {
      return this.serverFlag;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setThirdMerchantId(final String thirdMerchantId) {
      this.thirdMerchantId = thirdMerchantId;
   }

   public void setMerchantName(final String merchantName) {
      this.merchantName = merchantName;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setLinkman(final String linkman) {
      this.linkman = linkman;
   }

   public void setLinkmanNumber(final String linkmanNumber) {
      this.linkmanNumber = linkmanNumber;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setUserCount(final Integer userCount) {
      this.userCount = userCount;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setAdminName(final String adminName) {
      this.adminName = adminName;
   }

   public void setEmail(final String email) {
      this.email = email;
   }

   public void setWechat(final String wechat) {
      this.wechat = wechat;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setDataset(final String dataset) {
      this.dataset = dataset;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setLimitFlag(final Integer limitFlag) {
      this.limitFlag = limitFlag;
   }

   public void setServerFlag(final Integer serverFlag) {
      this.serverFlag = serverFlag;
   }

}
